'****************************************************************'
'*       _____   .__                    .___                    *'
'*      /     \  |__|  ____ _____     __| _/ ____  ___  ___     *'
'*     /  \ /  \ |  | / ___\\__  \   / __ |_/ __ \ \  \/  /     *'
'*    /    Y    \|  |/ /_/  >/ __ \_/ /_/ |\  ___/  >    <      *'
'*    \____|__  /|__|\___  /(____  /\____ | \___  >/__/\_ \     *'
'*            \/    /_____/      \/      \/     \/       \/     *'
'****************************************************************'
'*  Name    : Nokia_MMA_Test.BAS                                *'
'*  Author  : Gabriel-Florin Mihaila                            *'
'*  Notice  : Copyright  Migadex 2010                          *'
'*          : partial PicBasic PDS port of the original code    *'
'*          : of Hagen Reddmann (HaReddmann At T-Online dot de) *'                                
'*          : On using fonts created with the FontEditor        *'
'*          : written by H. Reddmann                            *'    
'*  Date    : 30/06/2010                                        *'
'*  Version : 0.1                                               *'
'*  Notes   : Olimex 3310 - MMA Accelerometer                   *'
'*          : example                                           *'
'****************************************************************'
 
;----- THOSE ARE THE BOARD INCLUDES -----------------------------
;Device 18F25K20
;Xtal = 16
;
Optimiser_Level 1

;==============================================================================
; Board native periferrals declares
;==============================================================================
;
; NOKIA 3310 LCD Display
Symbol Nokia_CLK    PORTC.3     ; Nokia 3310 - SCK pin
Symbol Nokia_SDA    PORTC.5     ; Nokia 3310 - SDIN pin
Symbol Nokia_DC     PORTC.6     ; Nokia 3310 - D/#C pin
Symbol Nokia_CS     PORTC.7     ; Nokia 3310 - #SCE pin
Symbol Nokia_RESET  PORTC.2     ; Nokia 3310 - #RES pin
;==============================================================================

Include "3310_MEMdriver_RC3.inc"    ; include the Nokia 3310 driver file


; USER PIN SETUP
;====================
Output Nokia_CLK     
Output Nokia_SDA         
Output Nokia_DC        
Output Nokia_CS         
Output Nokia_RESET   
;
;========================================================================
;   NOKIA DISPLAY INIT  
;========================================================================
;
Display_INIT        ; Nokia display init


MAIN_LOOP:
    While 1 = 1 
        Clear_Mem                     ; clear nokia lcd mem buffer.
        Cls                           ; clear nokia screen
        DelayMS 1000
        ;
        drawRectangle 0,0,83,47,1     ; draw a rectagle on the display edge
        fillRectangle 2,2,81,13,1     ; draw a filled rectangle
        drawLine 0,15,83,15,1         ; draw a line
        drawCircle 13, 27, 10, 1      ; draw a circle
        fillCircle 70, 27, 10, 1      ; draw a filled circle
        ;
        refreshMem  0                  ; get whatever is written in the memory 
        ;
        SelectFont f12x12             ; select the font to be used for the next PRINT on
        Print Inverse 1               ; invert the drawn pixel color
        Print xor 1                   ; print transparent like
        Print At 12,3,"Nokia 3310"    ; print a string at absolute display coordinates
        Print XOR 0                   ; do not print transparent like 
        Print Inverse 0               ; do not print Inverse
        ;
        refreshMem  0                  ; get whatever is written in the memory 
        ;
        SelectFont decode6x5          ; select the font to be used for the next PRINT on
        Print At 3,40,"copyright    2010"
        ;
        SelectFont f13x16             ; select the font to be used for the next PRINT on
        Print At 17,16,"GLCD"         ;"GLCD"
        ;
        SelectFont f8x8              ; select the font to be used for the next PRINT on
        Print At 28,32,"driver"
        ;
        refreshMem  0                  ; get whatever is written in the memory 
        ;                               ; and Print it On the glcd screen with No horiz offset
        DelayMS 2000
        ;
    Wend
;End
;========================================================================




;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
; include FONTS section
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

$ifdef use_Font_f8x8
    Include "f8x8.inc"
$endif
$ifdef use_Font_clock24x49
    Include "Clock24x49.inc"
$endif
$ifdef use_Font_f13x16
    Include "f13x16.inc"
$endif    
$ifdef use_Font_f8x11
    Include "f8x11.inc"    
$endif
$ifdef use_Font_f12x12
    Include "f12x12.inc"
$endif    
$ifdef use_Font_f9x14     
    Include "f9x14.inc"
$endif
$ifdef use_Font_decode6x5   
    Include "decode6x5.inc"
$endif    
$ifdef use_Font_arrows15x18   
    Include "arrows15x18.inc"
$endif

; Add more fonts here
    
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>    

